org.eclipse.net4j.ui

## Class FactoryTypeContentProvider

- java.lang.Object
- - org.eclipse.jface.viewers.ViewerComparator
  - - org.eclipse.jface.viewers.ViewerSorter
    - - org.eclipse.net4j.util.ui.StructuredContentProvider<IManagedContainer>
      - - org.eclipse.net4j.util.ui.FactoryTypeContentProvider
        - - org.eclipse.net4j.ui.FactoryTypeContentProvider

- All Implemented Interfaces:
    EventListener, IContentProvider, IStructuredContentProvider, IListener

  Deprecated.
  As of 4.1 use `FactoryTypeContentProvider`

      @Deprecated
      public class FactoryTypeContentProvider
      extends FactoryTypeContentProvider

  A `structured content provider` that shows the `factory types` of the `input`.
  Since:
    4.0
  Author:
    Eike Stepper

- - ### Field Summary

    - ### Fields inherited from class org.eclipse.jface.viewers.ViewerSorter

      `collator`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FactoryTypeContentProvider(String productGroup)` Deprecated.

  - ### Method Summary

    - ### Methods inherited from class org.eclipse.net4j.util.ui.FactoryTypeContentProvider

      `connectInput, disconnectInput, getElements, getProductGroup`

    - ### Methods inherited from class org.eclipse.net4j.util.ui.StructuredContentProvider

      `dispose, expandElement, getBoldFont, getDisplay, getInput, getItalicFont, getViewer, inputChanged, notifyEvent, refreshElement, refreshSynced, refreshViewer, revealElement, selectElement, updateLabels`

    - ### Methods inherited from class org.eclipse.jface.viewers.ViewerSorter

      `getCollator`

    - ### Methods inherited from class org.eclipse.jface.viewers.ViewerComparator

      `category, compare, getComparator, isSorterProperty, sort`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FactoryTypeContentProvider

          public FactoryTypeContentProvider(String productGroup)

      Deprecated.

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html